Servers

Description

This resource lists the ArcGIS Server sites that have been federated with the portal.

This resource is not applicable to ArcGIS Online; it is only applicable to ArcGIS Enterprise.

Request parameters

Parameter

Details

f

The response format. The default format is html.

Values: html | json | pjson

Server response properties

The Servers resource returns an array of JSON objects representing ArcGIS Server sites. Each JSON object has the following properties:

Property

Details

id

A unique identifier for the site.

name

The fully qualified name of the machine hosting the ArcGIS Server site, followed by the port.

url

The externally visible URL of the ArcGIS Server site, using the fully qualified name of the machine.

isHosted

A Boolean property denoting whether the ArcGIS Server site is allowed to host services for the portal (true) or is not allowed to host services (false).

Values: true | false

adminURL

The administrative URL of the ArcGIS Server site, using the fully qualified name of the machine.

serverType

The type of server registered with the portal.

Values: ArcGIS | ARCGIS_NOTEBOOK_SERVER | ARCGIS_MISSION_SERVER

serverRole

The role of a specific server.

Values: STANDALONE_SERVER | FEDERATED_SERVER | FEDERATED_SERVER_WITH_RESTRICTED_PUBLISHING | HOSTING_SERVER

serverFunction

The function of a specific server.

Values: RasterAnalytics | GeoAnalytics | GeoEvent | GISServer | ImageHosting | NotebookServer | MissionServer | WorkflowManager

Example usage

https://machine.domain.com/webadaptor/sharing/rest/portals/0123456789ABCDEF/servers?f=pjson

JSON Response syntax

{
  "servers": [
    {
      "id": "<serverId>",
      "name": "<serverName>",
      "url": "<serverUrl>",
      "isHosted": <true|false>,
      "adminUrl": "<serverAdminUrl>",
      "serverType": "<serverType>",
      "serverRole": "<serverRole>",
      "serverFunction": "<serverFunction>"
    }
  ]
}

JSON Response example

{
  "servers": [
    {
      "id": "J5TUOrNQurCDgHFq",
      "name": "myserver03.mydomain.com:6080",
      "url": "https://myserver03.mydomain.com/arcgis",
      "isHosted": true,
      "adminUrl": "https://myserver03.mydomain.com:6080/arcgis",
      "serverType": "ArcGIS",
      "serverRole": "HOSTING_SERVER",
      "serverFunction": ""
    },
    {
      "id": "gL9t5ZagFy5l5sdc",
      "name": "myserver02.mydomain.com:11443",
      "url": "https://myserver02.mydomain.com/server",
      "isHosted": false,
      "adminUrl": "https://myserver02.mydomain:11443/arcgis",
      "serverType": "ARCGIS_NOTEBOOK_SERVER",
      "serverRole": "FEDERATED_SERVER",
      "serverFunction": "RasterAnalytics"
    },
    {
      "id": "raIO3wdpmyX0riGw",
      "name": "myserver01.mydomain.com:20443",
      "url": "https://myserver01.mydomain.com/server",
      "isHosted": false,
      "adminUrl": "https://myserver01.mydomain.com:20443/arcgis",
      "serverType": "ARCGIS_MISSION_SERVER",
      "serverRole": "FEDERATED_SERVER",
      "serverFunction": ""
    }
  ]
}